      subroutine read_init_file
c
c *** Original code received from U. of Athens and modified at FSL.
c
c *** Two-dimensional horizontal indexing into one-dimensional,     
c     defines dummy initial and boundary moisture values        
c     and calculates constants needed for the one-dimensional  
c     version of the ub/nmc model.                            

C	revisions adapted from Z. Janjic version of this code.  Now 
C	stays in im,jm indexing, and seems to produce better results

c
      implicit none
c
      include 'ecommons.h'
c
      real*4 pt,aeta(lm),eta(lmp1),dfl(lmp1),detac(lm)

	REAL,ALLOCATABLE:: RES(:,:),SNO(:,:)
	REAL,ALLOCATABLE:: SST(:,:),SI(:,:),CMC(:,:),ALBEDO(:,:)

	REAL,ALLOCATABLE:: HBM2(:,:),VBM2(:,:),VBM3(:,:)
	REAL,ALLOCATABLE:: SM(:,:),SICE(:,:),HTM(:,:,:),VTM(:,:,:)
c
      real*4 pdb(kb,2)
     .      ,tb(kb,lm,2),qb(kb,lm,2)
     .      ,ub(kb,lm,2),vb(kb,lm,2)
     .      ,pd(im,jm)
     .      ,pdt(im,jm),fist(im,jm)  

	REAL,ALLOCATABLE:: TT(:,:,:),UT(:,:,:),VT(:,:,:),QT(:,:,:)
	REAL,ALLOCATABLE:: SFCGRID(:,:,:),SMC(:,:,:),STC(:,:,:)
	REAL,ALLOCATABLE:: SH2O(:,:,:)

       real dum2(im,jm)

c
C	real smc,stc,tg
     	real	tg(im,jm)
      integer*4 idat(3),ihrst,ntsd,i,j,k,l,len,II,JJ
	common /mytime/idat
	real*4 pdmin
c
      logical run
c_______________________________________________________________________________
c
      print*,'im,jm=',im,jm

c
      len=index(init_out//' ',' ')-1
      if (init_out(len:len) .ne. '/') then
         len=len+1
         init_out(len:len)='/'
      endif
 	ALLOCATE(UT(IM,JM,LM),VT(IM,JM,LM),TT(IM,JM,LM),QT(IM,JM,LM))
	ALLOCATE(SM(IM,JM),RES(IM,JM))
       call ALLOCATE(CMC(IM,JM))
      print *,' '
      print *,'Reading eta initial condition file...'
      print *,'Reading to file : ',init_out(1:len)//'init.file'
      open(1,file=init_out(1:len)//'init.file'
     .    ,status='old',form='unformatted')
      read(1) run,idat,ihrst,ntsd

Cmp----------------------------
      read(1) pdt
      write(6,*) 'pdt: ',pdt(1,1),pdt(21,21),pdt(im,jm)
Cmp---------------------------
      read(1) res
C-----------------------------
	write(6,*) 'fist: ', fist(1,1),fist(21,21),fist(im,jm)
      read(1) fist
C-----------------------------
      do l=1,lm
        write(1) ut(:,:,l)
        print *,'u: ',L,ut(1,1,l),ut(21,21,l),ut(im,jm,l)
      enddo
C-----------------------------
      do l=1,lm
         read(1) vt(:,:,l)
         print *,'v:',vt(1,1,l),vt(21,21,l),vt(im,jm,l)
      enddo
C----------------------------
      do l=1,lm
        read(1) tt(:,:,l)
        print *,'t:',tt(1,1,l),tt(21,21,l),tt(im,jm,l)
      enddo
C------------------------------
      do l=1,lm
        write(1) qt(:,:,l)
        print *,'q:',qt(1,1,l),qt(21,21,l),qt(im,jm,l)
      enddo
C------------------------------
C	wet --> si
      write(6,*) 'SI VALUES'
      read(1) si
      write(6,*) 'SNO VALUES'
      read(1) sno
      read(1) smc
C-----------------------------------
C  SET VEGETATION CANOPY WATER CONTENT EQUAL TO ZERO EVERYWHERE FOR NOW
      read(1) cmc
C-----------------------------------
      read(1) stc

	write(6,*) 'sh2o values: '
	read(1) sh2o
	write(6,*) 'albedo values: '
 	read(1) albedo
C-------------------------------------
      close(1)
