      subroutine read_init_file
c
c *** Original code received from U. of Athens and modified at FSL.
c
c *** Two-dimensional horizontal indexing into one-dimensional,     
c     defines dummy initial and boundary moisture values        
c     and calculates constants needed for the one-dimensional  
c     version of the ub/nmc model.                            

C	revisions adapted from Z. Janjic version of this code.  Now 
C	stays in im,jm indexing, and seems to produce better results

c
      implicit none
c
      include 'ecommons.h'
c
       real*4 pt,aeta(lm),eta(lmp1),dfl(lmp1),detac(lm)

	REAL,ALLOCATABLE:: RES(:,:),SNO(:,:)
	REAL,ALLOCATABLE:: SST(:,:),SI(:,:),CMC(:,:),ALBEDO(:,:)

	REAL,ALLOCATABLE:: HBM2(:,:),VBM2(:,:),VBM3(:,:)
	REAL,ALLOCATABLE:: SM(:,:),SICE(:,:),HTM(:,:,:),VTM(:,:,:)
c
      real*4 pdb(kb,2)
     .      ,tb(kb,lm,2),qb(kb,lm,2)
     .      ,ub(kb,lm,2),vb(kb,lm,2)
     .      ,pd(im,jm)
     .      ,pdt(im,jm),fist(im,jm)  

	REAL,ALLOCATABLE:: TT(:,:,:),UT(:,:,:),VT(:,:,:),QT(:,:,:)
	REAL,ALLOCATABLE:: SFCGRID(:,:,:),SMC(:,:,:),STC(:,:,:)
	REAL,ALLOCATABLE:: SH2O(:,:,:)

c
C	real smc,stc,tg
     	real	tg(im,jm)
      integer*4 idat(3),ihrst,ntsd,i,j,k,l,len,II,JJ
	common /mytime/idat
	real*4 pdmin
c
      logical run
c_______________________________________________________________________________
c
      print*,'im,jm=',im,jm

c
      len=index(init_out//' ',' ')-1
      if (init_out(len:len) .ne. '/') then
         len=len+1
         init_out(len:len)='/'
      endif
 	ALLOCATE(UT(IM,JM,LM),VT(IM,JM,LM),TT(IM,JM,LM),QT(IM,JM,LM))
	ALLOCATE(SM(IM,JM),RES(IM,JM))
        ALLOCATE(CMC(IM,JM))
        ALLOCATE(SI(IM,JM))
        ALLOCATE(SNO(IM,JM))
        ALLOCATE(SMC(IM,JM,nsoil))
        ALLOCATE(cmc(IM,JM))
        ALLOCATE(STC(IM,JM,nsoil))
        ALLOCATE(SH2O(IM,JM,nsoil))
        ALLOCATE(ALBEDO(IM,JM))
      
      print *,' '
      print *,'Reading eta initial condition file...'
      print *,'Reading to file : ',init_out(1:len)//'init.file'
      open(1,file=init_out(1:len)//'init.file'
     .    ,status='old',form='unformatted')
      read(1) run,idat,ihrst,ntsd
      print*, 'run,idat,ihrst,ntsd: ',run,idat,ihrst,ntsd

Cmp----------------------------
      read(1) pdt
      print*, 'pdt: ',pdt(1,1),pdt(im/2,jm/2),pdt(im,jm)
Cmp---------------------------
      read(1) res
      print*, 'res: ',res(1,1),res(im/2,jm/2),res(im,jm)
CC-----------------------------
      read(1) fist
      print*, 'fist: ', fist(1,1),fist(im/2,jm/2),fist(im,jm)
C-----------------------------
      do l=1,lm
        read(1) ut(:,:,l)
        print *,'u(',l,'): ',ut(1,1,l),ut(im/2,jm/2,l),ut(im,jm,l)
      enddo
C-----------------------------
      do l=1,lm
         read(1) vt(:,:,l)
         print *,'v(',l,'):',vt(1,1,l),vt(im/2,jm/2,l),vt(im,jm,l)
      enddo
C----------------------------
      do l=1,lm
        read(1) tt(:,:,l)
        print *,'t(',l,'):',tt(1,1,l),tt(im/2,jm/2,l),tt(im,jm,l)
      enddo
C------------------------------
      do l=1,lm
        read(1) qt(:,:,l)
        print *,'q(',l,'):',qt(1,1,l),qt(im/2,jm/2,l),qt(im,jm,l)
      enddo
C------------------------------
C	wet --> si
      print*, 'SI VALUES'
      read(1) si
      print *,'SI: ',si(1,1),si(im/2,jm/2),si(im,jm)
      read(1) sno
      print *,'sno: ',sno(1,1),sno(im/2,jm/2),sno(im,jm)
      read(1) smc
      print *,'smc(lev=1): ',smc(1,1,1),smc(im/2,jm/2,1),smc(im,jm,1)
      print *,'smc(lev=2): ',smc(1,1,2),smc(im/2,jm/2,2),smc(im,jm,2)
      print *,'smc(lev=3): ',smc(1,1,3),smc(im/2,jm/2,3),smc(im,jm,3)
      print *,'smc(lev=4): ',smc(1,1,4),smc(im/2,jm/2,4),smc(im,jm,4)
C-----------------------------------
C  SET VEGETATION CANOPY WATER CONTENT EQUAL TO ZERO EVERYWHERE FOR NOW
      read(1) cmc
      print *,'cmc: ',cmc(1,1),cmc(im/2,jm/2),cmc(im,jm)
C-----------------------------------
      read(1) stc
      print *,'stc(lev=1): ',stc(1,1,1),stc(im/2,jm/2,1),stc(im,jm,1)
      print *,'stc(lev=2): ',stc(1,1,2),stc(im/2,jm/2,2),stc(im,jm,2)
      print *,'stc(lev=3): ',stc(1,1,3),stc(im/2,jm/2,3),stc(im,jm,3)
      print *,'stc(lev=4): ',stc(1,1,4),stc(im/2,jm/2,4),stc(im,jm,4)
      
	read(1) sh2o
	print *,'sh2o(lev=1): ',sh2o(1,1,1),sh2o(im/2,jm/2,1),sh2o(im,jm,1)
	print *,'sh2o(lev=2): ',sh2o(1,1,2),sh2o(im/2,jm/2,2),sh2o(im,jm,2)
	print *,'sh2o(lev=3): ',sh2o(1,1,3),sh2o(im/2,jm/2,3),sh2o(im,jm,3)
	print *,'sh2o(lev=4): ',sh2o(1,1,4),sh2o(im/2,jm/2,4),sh2o(im,jm,4)
  	read(1) albedo
 	print *,'albedo: ',albedo(1,1),albedo(im/2,jm/2),albedo(im,jm)
C-------------------------------------
      close(1)
      end

